commit b6dceabdfb779d3c86ac6ac36cc81d1fc3c5013a
Author: freddy77 <freddy77>
Date:   Fri Jul 11 09:25:56 2008 +0000

    cleanup

diff --git a/ChangeLog b/ChangeLog
index 8adfbef..c6ab05f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,11 +1,14 @@
+Fri Jul 11 11:25:28 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/login.c: cleanup
+
 Wed Jul  9 05:34:20 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* src/tds/token.c use locally provided server name correctly
 
 Tue Jul  8 15:38:37 EDT 2008	JK Lowden <jklowden@freetds.org>
-	* src/dblib/dblib.c don't dereference a NULL dbproc. 
+	* src/dblib/dblib.c: don't dereference a NULL dbproc. 
 
 Tue Jul  8 13:02:14 EDT 2008	JK Lowden <jklowden@freetds.org>
-	* include/tds.h src/tds/token.c
+	* include/tds.h src/tds/token.c:
 	- use locally provided server name if the error message
 	- packet doesn't include one. 
 
@@ -416,4 +419,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2551 2008/07/09 09:41:07 jklowden Exp $
+$Id: ChangeLog,v 1.2552 2008/07/11 09:25:56 freddy77 Exp $
diff --git a/src/tds/login.c b/src/tds/login.c
index 58deec6..6fe7f1c 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.173 2008/04/23 21:36:01 jklowden Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.174 2008/07/11 09:25:56 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -314,10 +314,7 @@ tds_connect(TDSSOCKET * tds, TDSCONNECTION * connection)
 	int retval;
 	int connect_timeout = 0;
 	int db_selected = 0;
-	char version[64];
-	char *str;
-	int len;
-	
+
 	/*
 	 * A major version of 0 means try to guess the TDS version. 
 	 * We try them in an order that should work. 
@@ -421,10 +418,6 @@ tds_connect(TDSSOCKET * tds, TDSCONNECTION * connection)
 
 	memcpy(tds->capabilities, connection->capabilities, TDS_MAX_CAPABILITY);
 
-	retval = tds_version(tds, version);
-	if (!retval)
-		version[0] = '\0';
-
 	if (tds_open_socket(tds, tds_dstr_cstr(&connection->ip_addr), connection->port, connect_timeout) != TDS_SUCCEED)
 		return TDS_FAIL;
 	tds_set_state(tds, TDS_IDLE);
@@ -447,6 +440,9 @@ tds_connect(TDSSOCKET * tds, TDSCONNECTION * connection)
 	}
 
 	if (connection->text_size || (!db_selected && !tds_dstr_isempty(&connection->database))) {
+		char *str;
+		int len;
+
 		len = 64 + tds_quote_id(tds, NULL, tds_dstr_cstr(&connection->database),-1);
 		if ((str = (char *) malloc(len)) == NULL)
 			return TDS_FAIL;

